Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.renderer
Interface LayoutHelper<LAYOUT>

Type Parameters:
  `LAYOUT` - the type of layout object this helper provides.

All Known Implementing Classes:
  DefaultLayoutHelper

Deprecated.

    @Deprecated
    public interface LayoutHelper<LAYOUT>

By providing an own implementation, the layout of the application can be influenced.

Since:
  1.2
Author:
  Eugen Neufeld

Method Summary
`LAYOUT` | `getColumnLayout(int numColumns, boolean equalWidth)` Deprecated. The Layout for aligning controls vertically in columns.
`Object` | `getLeftColumnLayoutData()` Deprecated. The Layout data to use to set for a left column.
`Object` | `getRightColumnLayoutData(int xSpan)` Deprecated. The Layout data to use to set for a right column.
`Object` | `getSpanningLayoutData(int xSpan, int ySpan)` Deprecated. The Layout data to use to set a spanning on an element.
`Object` | `getValidationColumnLayoutData()` Deprecated. The Layout data to use to set for a validation column.

Method Detail

### getColumnLayout

    LAYOUT getColumnLayout(int numColumns,
                           boolean equalWidth)

  Deprecated.
  The Layout for aligning controls vertically in columns.

  Parameters:
    `numColumns` - the number of columns to create
    `equalWidth` - whether the columns should be equal width
  Returns:
    the layout to use

### getSpanningLayoutData

    Object getSpanningLayoutData(int xSpan,
                                 int ySpan)

  Deprecated.
  The Layout data to use to set a spanning on an element.

  Parameters:
    `xSpan` - the horizontal span
    `ySpan` - the vertical span
  Returns:
    the layout data to set

### getLeftColumnLayoutData

    Object getLeftColumnLayoutData()

  Deprecated.
  The Layout data to use to set for a left column.

  Returns:
    the layout data to set

### getRightColumnLayoutData

    Object getRightColumnLayoutData(int xSpan)

  Deprecated.
  The Layout data to use to set for a right column.

  Parameters:
    `xSpan` - the horizontal span
  Returns:
    the layout data to set

### getValidationColumnLayoutData

    Object getValidationColumnLayoutData()

  Deprecated.
  The Layout data to use to set for a validation column.

  Returns:
    the layout data to set

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.